/* Initialisation de tableaux de reels             */

public class InitialisationTableauReelEnConsole {

/////////////////////////////////////////////////

  /* Fonction d'affichage d'un tableau de double   */
  /* tab : Le tableau de double a afficher         */

  static void affichage(double [] tab) {
    int i;
    for ( i = 0 ; i < tab.length ; i = i+1 ) {
      Console.formater("%6.3f",tab[i]); }
    Console.sautDeLigne();
  }

  /* Fonction d'initialisation d'un tableau        */
  /* de double avec des 0.0                        */
  /* tab : Le tableau de double a initialiser      */

  static void initialisation(double [] tab) {
    int i;
    for ( i = 0 ; i < tab.length ; i = i+1 ) {
      tab[i] = 0.0; }
  }

  /* Fonction d'initialisation d'un tableau        */
  /* de double avec des reels tires au sort        */
  /* entre 0.0 et 1.0                              */
  /* tab : Le tableau de double a initialiser      */

  static void initRand(double [] tab) {
    int i;
    for ( i = 0 ; i < tab.length ; i = i+1 ) {
      tab[i] = Math.random(); }
  }

  /* Fonction d'initialisation d'un tableau        */
  /* de double avec une serie croissante           */
  /* de nombres aleatoires                         */
  /* tab : Le tableau de double a initialiser      */

  static void initRandCroissant(double [] tab) {
    int i;
    tab[0] = Math.random();
    for ( i = 1 ; i < tab.length ; i = i+1 ) {
      tab[i] = tab[i-1]+Math.random(); }
  }

  /* Programme principal                           */

  public static void main(String [] args) {
    Console.setTitle("InitialisationTableauReel");
    int i;
    double [] t1 = { 0.0,1.0,0.0,1.0,0.0 };
    double [] t2 = new double[6];
    double [] t3 = new double[6];
    /* Test de la fonction d'initialisation a 0.0  */
    Console.afficherln("Un tableau de 5 réels avant");
    Console.afficherln("et après initialisation à 0.0");
    affichage(t1);
    initialisation(t1);
    affichage(t1);
    Console.sautDeLigne();
    /* Test de la fonction d'initialisation avec   */
    /* des nombres aleatoires entre 0.0 et 1.0     */
    Console.afficherln("Un tableau de 6 réels avant et après");
    Console.afficherln("initialisation avec des nombres aléatoires");
    affichage(t2);
    initRand(t2);
    affichage(t2);
    Console.sautDeLigne();
    /* Test de la fonction de creation d'une serie */
    /* croissante de nombres aleatoires            */
    Console.afficherln("Un tableau de 6 réels avant et après initialisation");
    Console.afficherln("avec une série croissante de nombres aléatoires");
    affichage(t3);
    initRandCroissant(t3);
    affichage(t3);
  }

/////////////////////////////////////////////////
}